/*!
  \file orxonox_gui_keys.h
  \brief File that holds the class that creates the Keyboard-Options.
*/

#ifndef _ORXONOX_GUI_KEYS_H
#define _ORXONOX_GUI_KEYS_H

#include "orxonox_gui.h"
#include <gdk/gdkkeysyms.h>

/**
 * defines the Possible Player Keys
 */
enum KEYS { UP, DOWN, LEFT, RIGHT, SHOOT };

class Player;
//! Class that creates the Keys-Options.
class OrxonoxGuiKeys
{
 private:
  Frame* keysFrame;
  Box* keysBox;
  Player* player1;
  Player* player2;
  Button* misc;

 public:
  OrxonoxGuiKeys ();
  ~OrxonoxGuiKeys ();
  
  Widget* getWidget ();
};

//! Class to hold infos about a Player
class Player
{
 private:
  Window* pKeyWindow;
  Button* openButton;
  Button* closeButton;
  Box* pKeysBox;
  
  Box* pKeyBox[10];
  Button* pKeyButton[10];
  Label* pKeyLabel[10];


 public:
  Player(char* player);

  Widget* addKey (KEYS key, char* name);

  Button* getOpenButton();

  static gint openWindowEvent(GtkWidget* widget, GdkEvent* event, void* player);
  static gint closeWindowEvent(GtkWidget* widget, GdkEvent* event, void* player);
  static gint key_cb(GtkWidget* w, GdkEventKey* event, void* widget);
  void setkey(KEYS key);
  
};



#endif /* _ORXONOX_GUI_KEYS_H */
